package com.example.javafxopenwebinar;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

import java.io.IOException;


public class HelloApplication extends Application {

    @Override
    public void start(Stage stage) throws IOException {

        Label opcion1 = new Label(), opcion2 = new Label();
        TextField name = new TextField("Introduce tu nombre");

        Label message = new Label();
        message.setStyle("-fx-text-fill: Blue");

        Button button = new Button("Di hola"), buttonExit = new Button();
        button.setOnAction(actionEvent -> {
            String nameUser = name.getText();
            if (nameUser.trim().length() > 0) {
                message.setText("Hola " + nameUser);
            } else {
                message.setText("Pon algo!!!");
            }
        });

        buttonExit.setOnAction(e -> Platform.exit());

        /*
        VBox root = new VBox();
        root.setSpacing(5);
        root.getChildren().addAll(opcion1, opcion2, name, message, button);

        Scene scene = new Scene(root, 400, 400);
        stage.setScene(scene);
        stage.setTitle("Prueba!");
        stage.show();*/

        FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("student-list.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 320, 240);
        stage.setTitle("Hello!");
        stage.setScene(scene);
        stage.show();

    }

    public static void main(String[] args) {
        launch();
    }

    @Override
    public void init() throws Exception {
        System.out.println("Hilo actual al empezar _>> " + Thread.currentThread().getName());
    }

    @Override
    public void stop() throws Exception {
        System.out.println("Hilo actual al finalizar _>> " + Thread.currentThread().getName());
    }

}